#!/bin/sh
set -eux

# wait for postgres
for i in $(seq 0 30); do
  if nc -z postgres 5432; then
    break
  fi
  if $i -eq 29; then
    exit 1
  fi
  sleep 1
done

sleep 10 # wait enough time for tables to be created
celery worker -A stumpf.celery.app:app -l info --queues hits
